---
title: Product thinking for cloud native engineers
weight: 8
tags:
 - platform
 - cloudnativecon
---

<!-- {{% button href="https://youtu.be/rkteV6Mzjfs" style="warning" icon="video" %}}Watch talk on YouTube{{% /button %}} -->
<!-- {{% button href="https://docs.google.com/presentation/d/1nEK0CVC_yQgIDqwsdh-PRihB6dc9RyT-" style="tip" icon="person-chalkboard" %}}Slides{{% /button %}} -->

## How & Why

- IT was a cost center for a long time - not it's critical but still treated as a cost center
- Why is it important: To much focus in the technical aspects instead of value delivery
- Importance: Show the value of your work (which means your work has to provide value)
- Operations and coordination work is not easily visible, but very important

## Principles

- Focus on user value: User problems > Solutions
- Outcome (Value) > Output (Tickets closed)
- Products (lifecycle and ownership) before projects (just setting stuff up)

### User value

- "Who is the user": Builders, Enablers, Regulatory, "Viewers"
- "What is the value": Make the organization more efficient while avoiding risks

## How to start?

TODO: Steal illustration

### Exploring the Problem Space

Goals:
- Identify top pains
- Build empathy and understanding
- Investigate key business aims

Techinques:
- Customer and stakeholder interviews: Talk to people, they will probably tell you about their pain
- Data/Process analysis: Where are out bottlenecks
- Shadowing: Really see how the day to day works
- Ask "Why"
- Read business updates (current goals)
- Build dashboards that show progress and value

### Defining the problem space

Goals:
- Identify opportunities
- Prioritise
- Gather insignts and data

Techniques:
- Value stream mapping
- RICE, Value vs Effort or ather cost benefit analysis
- Analyse your exploration process

## Did we reach our goal?

### Product metrics

- Someone will measure your work, hope they do it right or rather do it yourself to show how you provide value
- Product metrics should measure outcome not output (or performance metrics)
- Baseline: You need to know the desired outcome


### Frameworks

- DevEx: Triangle of flow state (build&test speed), feedback loops () and cognitive load (code complexity, docs clarity)
- DORA
- SPACE
- DX Core 4
